# CMxBigString Class

Namespace: `ArchestrA.Toolkit`

CMxBigString is derived from CMxString and provides support for BigString Attributes.

**Syntax**

```csharp
public class CMxBigString : CMxString
```

## CMxBigString Constructors

### CMxBigString Constructor

Provides a default constructor.

**Syntax**

```csharp
public CMxBigString();
```

### CMxBigString Constructor string

Provides a constructor to initialize the object with a string.

**Syntax**

```csharp
public CMxBigString (string v);
```

**Parameters**

**`v`**

[in] string to be set.

### CMxBigString Constructor SupportWrapper, string

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxBigString (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxBigString Operator Overloads

### CMxValue Operator Overload CMxBigString

Provides an operator to convert CMxBigString to CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxBigString val);
```

**Parameters**

**`val`**

[in] CMxBigString value to convert to CMxValue.

**Returns**

CMxValue

### String Operator Overload CMxBigString

Provides an operator to convert CMxBigString to string.

**Syntax**

```csharp
public static implicit operator string(CMxBigString val);
```

**Parameters**

**`val`**

[in] CMxBigString value to convert to string.

**Returns**

string

### CMxBigString Operator Overload CMxValue

Provides an operator to convert CMxValue to CMxBigString.

**Syntax**

```csharp
public static implicit operator CMxBigString(CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxBigString.

**Returns**

CMxBigString

### CMxBigString Operator Overload string

Provides an operator to convert string to CMxBigString.

**Syntax**

```csharp
public static implicit operator CMxBigString(string val);
```

**Parameters**

**`val`**

[in] string value to convert to CMxBigString.

**Returns**

CMxBigString
